Subject: Re: bug#22440: 25.1.50; package.el fails to install with package-check-signature t

From: Artur Malabarba <[email-masked]>
Date: Wed, 18 May 2016 23:11:50 +0000

Just an unfortunate consequence of how macroexpand-let works. I've now
fixed them by changing those 2 symbols to a plain let.

On Wed, May 18, 2016 at 7:05 PM Paul Eggert <[email-masked]> wrote:

> On 05/18/2016 02:09 PM, Artur Malabarba wrote:
> > Should now be fixed on the emacs-25 branch. Please test if it works
> > for you as well.
>
> When I build emacs-25 now, it issues new warnings like the following.
> What are these warnings symptoms of, and can the problem be avoided?
>
>
>    ELC      emacs-lisp/package.elc
>
> In package--check-signature:
> emacs-lisp/package.el:1248:36:Warning: reference to free variable ‘url’
> emacs-lisp/package.el:1248:36:Warning: reference to free variable ‘b-sym’
>
> In package--download-one-archive:
> emacs-lisp/package.el:1508:39:Warning: reference to free variable ‘url’
> emacs-lisp/package.el:1508:39:Warning: reference to free variable ‘b-sym’
>
> In package-install-from-archive:
> emacs-lisp/package.el:1806:36:Warning: reference to free variable ‘url’
> emacs-lisp/package.el:1806:36:Warning: reference to free variable ‘b-sym’
>
> In describe-package-1:
> emacs-lisp/package.el:2403:53:Warning: reference to free variable ‘url’
> emacs-lisp/package.el:2403:53:Warning: reference to free variable ‘b-sym’
>
>